Obrir sessió
logo

DEFENSA DAVANT DE LES CIBERAMENACES

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Boletines de Vulnerabilidades


Vulnerabilidades en el servidor Web BEA WebLogic

Clasificación de la vulnerabilidad

Propiedad Valor
Nivel de Confianza Oficial
Impacto Denegación de Servicio
Dificultad Experto
Requerimientos del atacante Acceso remoto sin cuenta a un servicio estandar

Información sobre el sistema

Propiedad Valor
Fabricant afectat Microsoft
Software afectado WebLogic Server 5.1 Service Pack 1-13
WebLogic Server 6.1 Service Pack 1-5
WebLogic Server 7.0, Service Pack 1-4
WebLogic Server 8.1

Descripción

Se han descubierto dos vulnerabilidades en diferentes versiones de BEA WebLogic

La primera vulnerabilidad reside en el manejo de peticiones XML(eXtended Markup Language) por parte del servidor WebLogic. La explotación de esta vulnerabilidad permitiría que un atacante local o remoto, enviando una petición XML especialmente diseñada, provoque una denegación de servicio sobre el servidor WebLogic. Esta vulnerabilidad se produce por un fallo en Sun JVM (Java Virtual Machine), con la que trabaja el servidor WebLogic.

La segunda vulnerabilidad aparece en el uso de las funciones (Ant tasks) "wldeploy", "wlserver" y "wlconfig". Cuando el administrador ingresa el password este se refleja en la pantalla permitiendo que sea leido por algún usuario o a su vez obtenidos de los archivos de Log que generan las funciones antes mencionadas. Este fallo afecta al servidor WebLogic instalado en todas las plataformas: Windows,Linux,HP-UX,Sun,AIX…

Solución



Actualización de software

1 -Solución concerniente a la denegación de servicio en WebLogic server
Para las versiones 5.1, 6.1,7.0 del WebLogic actualizar el Sun JDK con la version 1.3.1_09 o posterior
Sun JDK 1.3 updates
http://java.sun.com/j2se/1.3/

2.- Solución concerniente a la revelación del password de Administrador
Para la versión 8.1 del WebLogic Server, actualizar el sistema con el Service Pack 2.
WebLogic Server Services Pack
http://commerce.beasys.com/downloads/weblogic_server.jsp#wls

Identificadores estándar

Propiedad Valor
CVE NULL
BID NULL

Recursos adicionales

BEA security advisory BEA04_45.00
http://dev2dev.bea.com/resourcelibrary/advisoriesnotifications/BEA04_45.00.jsp

BEA security advisory BEA04_46.00
http://dev2dev.bea.com/resourcelibrary/advisoriesnotifications/BEA04_46.00.jsp

Histórico de versiones

Versión Comentario Data
1.0 Aviso emitido 2004-01-20
Tornar

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración